<?php
			include("corps_html.php");
		
	
			session_start();
			include('database.php');
			include('config.php');
			DB_connexion(); 

			$ligne_par_page = 8;

/********************************/
			if( !isset($_POST['statut']) && !isset($_GET['position']) )
			{ 
				if($_GET['nom_famille'] == ""  )
				{
					$statut = "tous";
					$sql = "SELECT * FROM projet";
					echo "Choix : Tous par défaut"; 
				}
				if($_GET['nom_famille'] != "" && $_GET['nom_famille'] == "--[ Tous ]--")
				{
					$statut = $_GET['nom_famille'];
					$nom_famille = $_GET['nom_famille']; 
					$sql = "SELECT * FROM projet";
					echo "Choix : " .$nom_famille; 
				}
				
				if($_GET['nom_famille'] != "" && $_GET['nom_famille'] != "--[ Tous ]--")
				{
					$statut = $_GET['nom_famille'];
					$nom_famille = $_GET['nom_famille']; 
					$sql = "SELECT * FROM projet where nom_famille = '$nom_famille'";
					echo "Choix : Passage de Tous à une famille de produit";
				}
				
				$retour = mysql_query($sql);
				$nb_enregistrement = mysql_num_rows($retour);
				
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}	
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				
				echo "<br>";
				echo $nombre_pages;
				
				if($nombre_pages == 1 && $_GET['nom_famille'] == "")
				{
					$sql = "SELECT * FROM projet";	
					$retour = mysql_query($sql);
					echo "<br>";
					echo "simple page projet";
				}
				if($nombre_pages == 1 && $_GET['nom_famille'] != "")
				{
					if($_GET['nom_famille']  == "--[ Tous ]--")
					{
						$sql = "SELECT * FROM projet ";	
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "simple page tous";
					}
					else
					{
						$sql = "SELECT * FROM projet where nom_famille='$nom_famille'";	
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "simple page famille";
					}	
				}

				if($nombre_pages > 1 && $_GET['nom_famille'] == "")
				{
						$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page par défaut";
				}
				if($nombre_pages > 1 && $_GET['nom_famille'] != "")
				{
					if($_GET['nom_famille'] == "--[ Tous ]--" )
					{
						$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$nb_enregistrement = mysql_num_rows($retour);
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page Tous";
					}	
					
					if($_GET['nom_famille'] != "--[ Tous ]--" )
					{
						$sql="SELECT * FROM projet where nom_famille='$nom_famille' ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
						echo "<br>";
						echo $sql;
						$nb_enregistrement = mysql_num_rows($retour);
						$retour = mysql_query($sql);
						echo "<br>";
						echo "multiple page specifique";
					}	
					
				}
				
				
			}    	
/********************************/
			if( isset($_GET['page']) ) 	
			{  
				echo "Changement de page" ."<br>";
				
				if($_GET['position'] == "tous" || $_GET['position'] == "--[ Tous ]--" )
				{
					echo "TRACE tous"; 
					$statut = $_GET['position'];
					$sql = "SELECT * FROM projet";
					$result = mysql_query($sql);
					$nb_enregistrement = mysql_num_rows($result);
					if($nb_enregistrement > $ligne_par_page)
					{	  
						$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
					}
					if($nb_enregistrement <= $ligne_par_page)
					{ 
						$nombre_pages = 1;
					}
	      
					$pageActuelle = $_GET['page']; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page;
					$sql="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
					echo "<br>";
					echo $sql;
					$retour = mysql_query($sql);
				}
				
				//if($_GET['position'] != "tous" || $_GET['position'] != "--[ Tous ]--")
				else
				{
					echo "TRACE famille" ."<br>";
					$nom_famille = $_GET['position'];
					$statut = $nom_famille ;
					$sql = "SELECT * FROM projet where nom_famille = '$nom_famille' ";
					$result = mysql_query($sql);
					$nb_enregistrement = mysql_num_rows($result);
					if($nb_enregistrement > $ligne_par_page)
					{  
						$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
					}
					if($nb_enregistrement <= $ligne_par_page)
					{ 
						$nombre_pages = 1;
					}
	      
					$pageActuelle = $_GET['page']; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
					$sql="SELECT * FROM projet where nom_famille = '$nom_famille' ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
					echo "<br>";
					echo $sql;
					$retour = mysql_query($sql);
					
				}

			}	 
/********************************/

?>	

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-12">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Liste des projets</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>
							
							<form action="" method="GET" name="form_lister_projet">  &nbsp;&nbsp;&nbsp;
							Famille de produit :
			
<?php				
							echo " <select name='nom_famille' size='1' onChange='submit()' id=''>  ";
  		  	
							if($nom_famille != "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>$nom_famille</option> ";
								echo "<option value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}
							
							if($nom_famille == "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>--[ Tous ]--</option> ";
								echo "<option value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}

							// construction de la liste des familles de produits
							for($i=0; $i < count($tab_famille_projet) ; $i++) 
							{
								echo '<option value="'.$tab_famille_projet[$i].'">'.$tab_famille_projet[$i].'</option>'; 
							}
							echo '</select>'; 

							echo "<br><br>";
?>		    
							</form>

							<div id="list">
							<table align="left" bgcolor="#d5d5d5" border="0" cellpadding="5" cellspacing="1" width="100%">
							<tbody><tr bgcolor="#f1f3f5">
							<th class="center" width="1%">Status</th>
							<th align="left" width="15%">Nom</th>
							<th align="left" width="*%">Famille</th>
							<th align="left" width="*%">Owner</th>
							<th align="left" width="*%">Date</th>
							<th align="left" width="*%">Heure</th>
							<th align="left" width="*%">Planning</th>
							<th class="center" width="1%">Edition</th>
							<th class="center" width="1%">Effacer</th>
							</tr>

<?php
	
							while($data=mysql_fetch_assoc($retour)) 
							{	
								$id = $data["id"];
								$nom_projet = $data["nom_projet"];
								$famille = $data["famille"];
								$date = $data["date"]; 
								$date_creation = $date;
								$heure=$data["heure"];
								$status=$data["status"];
								$owner=$data["owner"];

								echo " 

								<tr class='row2' onmouseover=\"this.className='highlight'\" onmouseout=\"this.className='row2'\">
								
								<td class='center' nowrap='nowrap'>$status</td>
								
								<td class='center' nowrap='nowrap'>
								<a href='edition_projet.php?nom_projet=$nom_projet'>$nom_projet</a>
								</td>
								
								</td>
								
								<td class='center'>$nom_projet</td>
								<td class='center'>$owner</td>
								<td class='center'>$date_creation</td>
								<td class='center'>$heure</td>
								
								<td class='center' width='1%'>
								<a href='essai08.php?id=$id'>
								<img src='images/nb_article.png' alt='Plannifier' title='Plannifier'></a>
								</td>
								
								<td class='center' width='1%'>
								<a href='edition_projet.php?id=$id'>
								<img src='images/update.png' alt='Modifier' title='Modifier'></a>
								</td>
											
								<td class='center' width='1%'>
								<a href='supprimer_projet.php?nom_famille=$nom_famille'>
								<img src='images/delete.png' alt='Supprimer' title='Supprimer'></a>
								</td> ";
							}				

								echo "	<tr bgcolor='#f1f3f5'>
										<td colspan='16' class='center'>&nbsp;</td>
										</tr>
									
										</tbody>
										</table>
							</div>  ";
								
								echo '<p align="center">Page : '; 
								
								for($i=1; $i<=$nombre_pages; $i++) 
								{    		      		
										if($i==$pageActuelle) //Si il s'agit de la page actuelle...
										{
											echo ' [ '.$i.' ] '; 
										}	
										else 
										{
											echo ' <a href="liste_projet.php?position='.$statut.'&page='.$i.'">'.$i.'</a> ';
										}
								}
								echo '</p>';
	        
?>
						
							<!------->
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
	include("footer.php");
?>		

	</div>

</body>
</html>
